Bug 1009519 - storage re-installation fails if 1st server installation failed
storage re-installation fails if 1st server installation failed
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Installer (Show other bugs)
4.9
Unspecified Solaris
unspecified Severity high (vote)
: ER03
: RHQ 4.10
Assigned To: John Mazzitelli
Mike Foley
:
Depends On:
Blocks: jon32-Beta-Blockers-1006862
  Show dependency treegraph
 
Reported: 2013-09-18 11:01 EDT by Armine Hovsepyan
Modified: 2015-09-02 20:01 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-23 08:32:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
storage-commitlog-exists.log (1.53 KB, text/x-log)
2013-09-19 05:52 EDT, Armine Hovsepyan
no flags Details

  None (edit)
Description Armine Hovsepyan 2013-09-18 11:01:58 EDT
Description of problem:
storage re-installation fails if 1st server installation failed

Version-Release number of selected component (if applicable):
rhq 4.9 released version

How reproducible:
always

Steps to Reproduce:
1. change rhq-server.property make a typo for rhq.server.database.connection-url replacing it with dhq.server.database.connection-url
2. run rhqctl install
3. change property and fix the typo
4. re-run rhqctl install

Actual results:
After step4. storage directory cannot be installed cause of existing storage data -> http://pastebin.test.redhat.com/164706

Expected results:
After step4. old directory is removed and new one is created 
corresponding changed are added into documentation -> https://docs.jboss.org/author/display/RHQ/RHQ+Control+Script

Additional info:
environment: SunOS solaris11 5.11 11.1 i86pc i386 i86pc
Comment 1 Armine Hovsepyan 2013-09-19 05:52:04 EDT
Created attachment 799809 [details]
storage-commitlog-exists.log

log copy-pasted into separate file in case pastebin is not accessible
Comment 2 John Mazzitelli 2013-09-26 08:06:58 EDT
this is being addressed - and is currently fixed in master.
Comment 3 John Mazzitelli 2013-09-26 08:13:58 EDT
the main commit to master is b130f6a4194d944fae8fc582fca8f561c37922f9 but there were other commits later than refined the "install undo" feature. But this should be fixed in master now. I'm still testing this feature - it may need to be refined.
Comment 4 John Mazzitelli 2013-10-04 17:05:10 EDT
in addition to git commit b130f6a4194d944fae8fc582fca8f561c37922f9 these are also part of the fix:

d2410ab75b1274867bb9b7f378219974519e6426
52bd8ca8f3b5e16e4f79e011a906406410579844
d7d3a9af3e1099fe590d0213859ffcfa501de294
2361b825acc4f1da3a7ff5617638c8b2b98e42df
f36fa3e0f783f179cb1409c22ab67c1c961578e1
d1dc34f4c2fd223735ae2e1b2e242732611d03fc
87740ae36b3d268b125f390ae7072e924051b601
093b388081bafff554293bd24ed52d1157aed376
Comment 5 Armine Hovsepyan 2013-12-06 09:20:40 EST
marking as verified (verified in jon 3.2.x branch)
Comment 6 Heiko W. Rupp 2014-04-23 08:32:21 EDT
Bulk closing of 4.10 issues.

If an issue is not solved for you, please open a new BZ (or clone the existing one) with a version designator of 4.10.

Note You need to log in before you can comment on or make changes to this bug.